#! /usr/bin/env bash
FILE="$(realpath "${BASH_SOURCE[0]}")"
ROOT="$(dirname "${FILE}")"

OUTPUT="${ROOT}/out"

rm --force --recursive "${OUTPUT}"
mkdir --parents "${OUTPUT}"

pandoc \
--verbose \
--standalone \
--self-contained \
\
--css "${ROOT}/index.css" \
--output "${OUTPUT}/index.html" \
\
--number-sections \
--slide-level '3' \
--write 'revealjs' \
--variable revealjs-url='/sw/revealjs/up' \
--variable slideNumber \
"${ROOT}/index.md"
